package district

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/district"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route get /api/district/name district GetDistrictName
//
// get district name list | 获取地址名
//
// get district name list | 获取地址名
//
// Responses:
//  200: GetDistrictNameResp

func GetDistrictNameHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.GetDistrictNameReq
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := district.NewGetDistrictNameLogic(r, r.Context(), svcCtx)
		resp, err := l.GetDistrictName(&req)

		statusz.ResponseHandler(r, w, transErr, resp, err)

	}
}
